namespace KF3.Containers
{
    [System.Serializable]
    public class SceneKeyframe : KeyframeData
    {
        public string Stage;
        public string Background;

        public SceneKeyframe() { }

        public SceneKeyframe(KF3SceneContainer main)
        {
            this.Root = null;
            this.Stage = main.StageName;
            this.Background = main.BackgroundName;
        }

        public override KeyframeData Clone()
        {
            var keyframe = new SceneKeyframe();
            keyframe.Root = null;
            keyframe.Stage = this.Stage;
            keyframe.Background = this.Background;
            return keyframe;
        }

        public override KeyframeData Lerp(KeyframeData target1, float amount)
        {
            var target = target1 as SceneKeyframe;
            var copy = this.Clone() as SceneKeyframe;
            return copy;
        }
    }
}